Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBOcclusionQuery

    java.lang.Object
      org.lwjgl.opengl.ARBOcclusionQuery

    public final class ARBOcclusionQuery

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_QUERY_ARB`
`static int` | `GL_QUERY_COUNTER_BITS_ARB` Accepted by the <pname> parameter of GetQueryivARB:
`static int` | `GL_QUERY_RESULT_ARB` Accepted by the <pname> parameter of GetQueryObjectivARB and GetQueryObjectuivARB:
`static int` | `GL_QUERY_RESULT_AVAILABLE_ARB`
`static int` | `GL_SAMPLES_PASSED_ARB` Accepted by the <target> parameter of BeginQueryARB, EndQueryARB, and GetQueryivARB:

Method Summary
`static void` | `glBeginQueryARB(int target, int id)`
`static void` | `glDeleteQueriesARB(java.nio.IntBuffer ids)`
`static void` | `glEndQueryARB(int target)`
`static void` | `glGenQueriesARB(java.nio.IntBuffer ids)`
`static void` | `glGetQueryARB(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glGetQueryObjectARB(int id, int pname, java.nio.IntBuffer params)`
`static void` | `glGetQueryObjectuARB(int id, int pname, java.nio.IntBuffer params)`
`static boolean` | `glIsQueryARB(int id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SAMPLES_PASSED_ARB

    public static final int GL_SAMPLES_PASSED_ARB

  Accepted by the <target> parameter of BeginQueryARB, EndQueryARB, and GetQueryivARB:

  See Also:
    Constant Field Values

### GL_QUERY_COUNTER_BITS_ARB

    public static final int GL_QUERY_COUNTER_BITS_ARB

  Accepted by the <pname> parameter of GetQueryivARB:

  See Also:
    Constant Field Values

### GL_CURRENT_QUERY_ARB

    public static final int GL_CURRENT_QUERY_ARB

See Also:
  Constant Field Values

### GL_QUERY_RESULT_ARB

    public static final int GL_QUERY_RESULT_ARB

  Accepted by the <pname> parameter of GetQueryObjectivARB and GetQueryObjectuivARB:

  See Also:
    Constant Field Values

### GL_QUERY_RESULT_AVAILABLE_ARB

    public static final int GL_QUERY_RESULT_AVAILABLE_ARB

See Also:
  Constant Field Values

Method Detail

### glGenQueriesARB

    public static void glGenQueriesARB(java.nio.IntBuffer ids)

### glDeleteQueriesARB

    public static void glDeleteQueriesARB(java.nio.IntBuffer ids)

### glIsQueryARB

    public static boolean glIsQueryARB(int id)

### glBeginQueryARB

    public static void glBeginQueryARB(int target,
                                       int id)

### glEndQueryARB

    public static void glEndQueryARB(int target)

### glGetQueryARB

    public static void glGetQueryARB(int target,
                                     int pname,
                                     java.nio.IntBuffer params)

### glGetQueryObjectARB

    public static void glGetQueryObjectARB(int id,
                                           int pname,
                                           java.nio.IntBuffer params)

### glGetQueryObjectuARB

    public static void glGetQueryObjectuARB(int id,
                                            int pname,
                                            java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.